Logout after switch user cause black screen

Bug #561538 reported by Lê Kiến Trúc on 2010-04-12
70
This bug affects 12 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

[Copycat - A blackscreen can also appear due to a bug in the ATI driver - workaround involving gnome-screensaver. (goto bug #546578)]

Binary package hint: nvidia-graphics-drivers

I have this bug on both my computer and my laptop.
This effect me scine Ubuntu Lucid 10.04 alpha to now Beta 2 with all upgrade.
Steps to reproduce:
1. Login to user A.
2. Choose switch user from User A.
3. Login to user B.
4. Logout from user B.

After that the screen just go blank. The music from Rhythmbox of user A still playing, I can't swith to tty1 (by ctrl + alt + F1), but I can use the Magic SysRq key to reboot the system.
In my laptop it's usally happen, it rarely happen but exist in my computer. I think this bug is very critical because I need to use many user for testing application and translation of ubuntu.
There aren't any logs in my computer (except something about Pulse before the crash).

And in my laptop has some logs

From kern.log

Apr 12 20:06:47 truclk60145 kernel: [ 294.139885] [drm:drm_mode_getfb] *ERROR* invalid framebuffer id

From the daemon.log
Apr 12 20:06:28 truclk60145 gdm-simple-slave[1994]: WARNING: Unable to load file '/etc/gdm/custom.conf': No such file or directory
Apr 12 20:06:29 truclk60145 acpid: client 1137[0:0] has disconnected
Apr 12 20:06:29 truclk60145 acpid: client connected from 1997[0:0]
Apr 12 20:06:29 truclk60145 acpid: 1 client rule loaded
Apr 12 20:06:32 truclk60145 gdm-session-worker[2037]: WARNING: Unable to load file '/etc/gdm/custom.conf': No such file or directory
Apr 12 20:06:32 truclk60145 rtkit-daemon[1498]: Sucessfully made thread 2040 of process 2040 (n/a) owned by '114' high priority at nice level -11.
Apr 12 20:06:32 truclk60145 rtkit-daemon[1498]: Supervising 4 threads of 2 processes of 2 users.
Apr 12 20:06:32 truclk60145 gdm-simple-greeter[2032]: Gtk-WARNING: /build/buildd/gtk+2.0-2.20.0/gtk/gtkwidget.c:5636: widget not within a GtkWindow
Apr 12 20:06:33 truclk60145 rtkit-daemon[1498]: Sucessfully made thread 2045 of process 2040 (n/a) owned by '114' RT at priority 5.
Apr 12 20:06:33 truclk60145 rtkit-daemon[1498]: Supervising 5 threads of 2 processes of 2 users.
Apr 12 20:06:33 truclk60145 rtkit-daemon[1498]: Sucessfully made thread 2047 of process 2040 (n/a) owned by '114' RT at priority 5.
Apr 12 20:06:33 truclk60145 rtkit-daemon[1498]: Supervising 6 threads of 2 processes of 2 users.
Apr 12 20:06:33 truclk60145 gdm-session-worker[2037]: GLib-GObject-CRITICAL: g_value_get_boolean: assertion `G_VALUE_HOLDS_BOOLEAN (value)' failed
Apr 12 20:06:36 truclk60145 rtkit-daemon[1498]: Sucessfully made thread 2140 of process 2140 (n/a) owned by '1001' high priority at nice level -11.
Apr 12 20:06:36 truclk60145 rtkit-daemon[1498]: Supervising 7 threads of 3 processes of 3 users.
Apr 12 20:06:37 truclk60145 rtkit-daemon[1498]: Sucessfully made thread 2178 of process 2140 (n/a) owned by '1001' RT at priority 5.
Apr 12 20:06:37 truclk60145 rtkit-daemon[1498]: Supervising 8 threads of 3 processes of 3 users.
Apr 12 20:06:37 truclk60145 rtkit-daemon[1498]: Sucessfully made thread 2179 of process 2140 (n/a) owned by '1001' RT at priority 5.
Apr 12 20:06:37 truclk60145 rtkit-daemon[1498]: Supervising 9 threads of 3 processes of 3 users.
Apr 12 20:06:37 truclk60145 rtkit-daemon[1498]: Sucessfully made thread 2190 of process 2190 (n/a) owned by '1001' high priority at nice level -11.
Apr 12 20:06:37 truclk60145 rtkit-daemon[1498]: Supervising 10 threads of 4 processes of 3 users.
Apr 12 20:06:47 truclk60145 acpid: client 1997[0:0] has disconnected
Apr 12 20:06:47 truclk60145 acpid: client connected from 1137[0:0]
Apr 12 20:06:47 truclk60145 acpid: 1 client rule loaded

From the debug
Apr 12 20:06:32 truclk60145 rtkit-daemon[1498]: Supervising 4 threads of 2 processes of 2 users.
Apr 12 20:06:33 truclk60145 rtkit-daemon[1498]: Supervising 5 threads of 2 processes of 2 users.
Apr 12 20:06:33 truclk60145 rtkit-daemon[1498]: Supervising 6 threads of 2 processes of 2 users.
Apr 12 20:06:36 truclk60145 rtkit-daemon[1498]: Supervising 7 threads of 3 processes of 3 users.
Apr 12 20:06:37 truclk60145 rtkit-daemon[1498]: Supervising 8 threads of 3 processes of 3 users.
Apr 12 20:06:37 truclk60145 rtkit-daemon[1498]: Supervising 9 threads of 3 processes of 3 users.
Apr 12 20:06:37 truclk60145 rtkit-daemon[1498]: Supervising 10 threads of 4 processes of 3 users.

Sebastien Bacher (seb128) wrote :

thank you for your bug report, that's an xorg issue, what video card and driver do you use? could you add your Xorg.0.log to the bug?

affects: gdm (Ubuntu) → xorg-server (Ubuntu)
Lê Kiến Trúc (le-kien-truc) wrote :

In my laptop there is an Acer Aspire 4740 with Intel Core i3 and integrate video card (something like GMA 4500MHD integrated in the "CPU).
And in my desktop Intel 945g

This attachment for the Laptop

Lê Kiến Trúc (le-kien-truc) wrote :

And this one for the desktop

Bryce Harrington (bryce) on 2010-04-13
tags: added: kubuntu
Hangman (hangman-hotmail) wrote :

Same issue here with an intel GMA X4500.
My Xorg.log :

DjznBR (djzn-br) wrote :

Same issue here with 10.04. ATI HD 3200 IGP either with Radeon driver OR Fglrx. Very Annoying bug.

Hassan El Jacifi (waver) wrote :

I have the same issue when the second user try to logout. Wich information is needed to tag this bug as confirmed?

acpi-support 0.136
acpid 1.0.10-5ubuntu2

error log:

May 4 00:02:26 terra acpid: client 1481[0:0] has disconnected
May 4 00:02:26 terra acpid: client connected from 30048[0:0]
May 4 00:02:26 terra acpid: 1 client rule loaded
May 4 00:02:36 terra gnome-session[30173]: WARNING: Unable to load desktop file '/usr/lib/openoffice/program/soffice.desktop': Le fichier de clés n'a pas de clé « Exec »
May 4 00:02:36 terra gnome-session[30173]: WARNING: Unable to find desktop file 'soffice.desktop': Impossible de trouver un fichier de clés valide dans les répertoires de recherche
May 4 00:02:36 terra gnome-session[30173]: WARNING: Unable to find desktop file 'gnome-/usr/lib/openoffice/program/soffice.desktop': Impossible de trouver un fichier de clés valide dans les répertoires de recherche

Erik Meitner (e.meitner) wrote :
Download full text (4.0 KiB)

I have this problem with a freshly installed 10.04 Desktop. Sometimes it is as easy to reproduce as: Log in as user A, log in as user B, logout user B, black screen.(Xorg log below is of this scenario) It it not 100% reproducible and there are times I cannot reproduce it at all. It seems like when I cannot reproduce it any more I need to do a cold boot before the problem comes back.

VT switching via keyboard or chvt does not do anything. Stopping and starting gdm via initctl is the only way to bring the screen back short of rebooting

The following is sometimes logged by the kernel when switching or logging out users:

May 4 10:43:04 lws-template kernel: [ 150.586572] ------------[ cut here ]------------
May 4 10:43:04 lws-template kernel: [ 150.586600] WARNING: at /build/buildd/linux-2.6.32/lib/kref.c:43 kref_get+0x2d/0x30()
May 4 10:43:04 lws-template kernel: [ 150.586609] Hardware name: SFM27
May 4 10:43:04 lws-template kernel: [ 150.586614] Modules linked in: nfs lockd nfs_acl auth_rpcgss sunrpc autofs4 binfmt_misc ppdev fbcon tileblit font bitblit softcursor vga16fb vgastate joydev i915 drm_kms_helper drm i2c_algo_bit usbhid hid psmouse serio_raw video output intel_agp lp parport r8169 mii
May 4 10:43:04 lws-template kernel: [ 150.586696] Pid: 1014, comm: Xorg Not tainted 2.6.32-21-generic #32-Ubuntu
May 4 10:43:04 lws-template kernel: [ 150.586704] Call Trace:
May 4 10:43:04 lws-template kernel: [ 150.586722] [<ffffffff81066d0b>] warn_slowpath_common+0x7b/0xc0
May 4 10:43:04 lws-template kernel: [ 150.586736] [<ffffffff81066d64>] warn_slowpath_null+0x14/0x20
May 4 10:43:04 lws-template kernel: [ 150.586748] [<ffffffff812b468d>] kref_get+0x2d/0x30
May 4 10:43:04 lws-template kernel: [ 150.586784] [<ffffffffa0094a11>] drm_gem_handle_create+0x91/0xb0 [drm]
May 4 10:43:04 lws-template kernel: [ 150.586799] [<ffffffff8153f74e>] ? mutex_lock+0x1e/0x50
May 4 10:43:04 lws-template kernel: [ 150.586838] [<ffffffffa00fcd6b>] intel_user_framebuffer_create_handle+0x1b/0x20 [i915]
May 4 10:43:04 lws-template kernel: [ 150.586872] [<ffffffffa009f22e>] drm_mode_getfb+0x7e/0xc0 [drm]
May 4 10:43:04 lws-template kernel: [ 150.586900] [<ffffffffa0092e2a>] drm_ioctl+0x27a/0x480 [drm]
May 4 10:43:04 lws-template kernel: [ 150.586931] [<ffffffffa009f1b0>] ? drm_mode_getfb+0x0/0xc0 [drm]
May 4 10:43:04 lws-template kernel: [ 150.586946] [<ffffffff81282efd>] ? apparmor_file_alloc_security+0x2d/0xa0
May 4 10:43:04 lws-template kernel: [ 150.586961] [<ffffffff81085320>] ? autoremove_wake_function+0x0/0x40
May 4 10:43:04 lws-template kernel: [ 150.586976] [<ffffffff81152a92>] vfs_ioctl+0x22/0xa0
May 4 10:43:04 lws-template kernel: [ 150.586988] [<ffffffff81152d41>] do_vfs_ioctl+0x81/0x380
May 4 10:43:04 lws-template kernel: [ 150.587001] [<ffffffff81142a82>] ? vfs_write+0x132/0x1a0
May 4 10:43:04 lws-template kernel: [ 150.587015] [<ffffffff812506da>] ? security_capable+0x2a/0x30
May 4 10:43:04 lws-template kernel: [ 150.587027] [<ffffffff81071a83>] ? capable+0x13/0x50
May 4 10:43:04 lws-template kernel: [ 150.587039] [<ffffffff811530c1>] sys_ioctl+0x81/0xa0
May 4 10:43:04 lws-template kernel: [ ...

Read more...

Vorona (erikmartre) wrote :

I have almost the same issue since I installed Lucid Lynx : when I disconnect as a user I get a black screen and the only thing I can do is reboot with Alt+SysRq+B. It happened twice out of two trials.

Here is the tail of my Xorg.0.log.old, I suppose to be related with this issue :

(**) Macintosh mouse button emulation: Applying InputClass "evdev pointer catchall"
(**) Macintosh mouse button emulation: always reports core events
(**) Macintosh mouse button emulation: Device: "/dev/input/event2"
(II) Macintosh mouse button emulation: Found 3 mouse buttons
(II) Macintosh mouse button emulation: Found relative axes
(II) Macintosh mouse button emulation: Found x and y relative axes
(II) Macintosh mouse button emulation: Configuring as mouse
(**) Macintosh mouse button emulation: YAxisMapping: buttons 4 and 5
(**) Macintosh mouse button emulation: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Macintosh mouse button emulation" (type: MOUSE)
(II) Macintosh mouse button emulation: initialized for relative axes.
(II) config/udev: Adding input device Macintosh mouse button emulation (/dev/input/mouse0)
(II) No input driver/identifier specified (ignoring)
(II) Power Button: Close
(II) UnloadModule: "evdev"
(II) Power Button: Close
(II) UnloadModule: "evdev"
(II) AT Translated Set 2 keyboard: Close
(II) UnloadModule: "evdev"
(II) ImPS/2 Logitech Wheel Mouse: Close
(II) UnloadModule: "evdev"
(II) Macintosh mouse button emulation: Close
(II) UnloadModule: "evdev"
(II) Open ACPI successful (/var/run/acpid.socket)
(II) APM registered successfully
(II) NVIDIA(0): Initialized GART.
(WW) NVIDIA(0): WAIT (2, 6, 0x8000, 0x00000300, 0x000003cc)
(WW) NVIDIA(0): WAIT (1, 6, 0x8000, 0x00000300, 0x000003cc)
(II) NVIDIA(0): Setting mode "nvidia-auto-select"
(WW) NVIDIA(0): WAIT (2, 1, 0x8000, 0x00000300, 0x0000046c)
(WW) NVIDIA(0): WAIT (1, 1, 0x8000, 0x00000300, 0x0000046c)
(WW) NVIDIA(0): WAIT (2, 3, 0x8000, 0x00000300, 0x00000880)
(WW) NVIDIA(0): WAIT (1, 3, 0x8000, 0x00000300, 0x00000880)
(WW) NVIDIA(0): WAIT (2, 11, 0x8000, 0x00000300, 0x000008a0)
(WW) NVIDIA(0): WAIT (1, 11, 0x8000, 0x00000300, 0x000008a0)

As you can see I have a NVidia video card (an old one).
CPU : AMD Barton.

chavez (texasflyfisher) wrote :

I installed the GA version of Ubuntu 10.04 and get the same issue, switch to user B from user A and logging out from B causes black screen. Can't switch to VTs. I have an nVidia GeForce FX 5200 card using the recommended version 173 accelerated driver.

Erik Meitner (e.meitner) wrote :

Also note bug 535467.

Erik Meitner (e.meitner) wrote :

Can also reproduce this way: log in as user A, switch back to GDM screen, login back in as user A. Kernel message does not happen this way. Desktop session IS active since I can get back to a GDM screen by logging user A using keyboard commands.

Erik Meitner (e.meitner) wrote :

Aha. Bug 546578 led me to bug 555870. I caused the problem to happen, SSH'ed to the machine, found out which X display was active:
$ /usr/bin/ck-list-sessions:
Session2:
..snip..
 active = TRUE
 x11-display = ':0'
..snip..

Then did:
$ export DISPLAY=:0
and then:
$ sudo xrandr --output VGA1 --gamma 1:1:1 (Your output name may differ use xrandr w/o argument to find out)

This restored the display. For me at least, this problem is related to bug 555870.
Others should try the above also to verify if they are affected by the same bug.

This sounds like the same symptoms as bug #546678. Do you guys still get the same issues if you 'sudo apt-get purge gnome-screensaver' ?

Another workaround was to run 'xgamma -gamma 1.0' when the black screen occurs (see https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/546578/comments/15).

removing gnome-screensaver solves my problem. Will mark as a dupe.

Benoe (benoe77) wrote :

sudo apt-get purge gnome-screensaver solves my problem too

The problem'd gone away when I removed the gnome-screensaver. But I can't lock my screen without gnome-screensaver, what should I do?

chavez (texasflyfisher) wrote :

I guess I must have a different problem because even after sudo apt-get purge gnome-screensaver and rebooting, I still get the black screen logging out from another account I switched to. :-(

Erik Meitner (e.meitner) wrote :

@chavez Did you try the test I detail in comment 12?

chavez (texasflyfisher) wrote :

Hi Erik,

I ssh'd to my Lucid system from a laptop running Jaunty and started with:

chavez@samurai:~$ export DISPLAY=:0
chavez@samurai:~$ sudo xrandr
[sudo] password for chavez:
Screen 0: minimum 320 x 240, current 1280 x 1024, maximum 1280 x 1024
default connected 1280x1024+0+0 0mm x 0mm
   1280x1024 50.0*
   1280x960 51.0
   1152x864 52.0
   1024x768 53.0
   960x600 54.0
   960x540 55.0
   840x525 56.0 57.0
   800x600 58.0 59.0
   800x512 60.0
   720x450 61.0
   680x384 62.0 63.0
   640x512 64.0
   640x480 65.0 66.0
   576x432 67.0
   512x384 68.0
   400x300 69.0
   320x240 70.0
chavez@samurai:~$

At this point I then switched users and then logged out to get the blank screen. However, for me the following command does not return

chavez@samurai:~$ sudo xrandr --output default --gamma 1:1:1

though I can CTRL-C and kill it but a sudo xrandr with no arguments again as before I logged out also doesn't return unless I CTRL-C it.

The only log that shows any new entries is dmesg with the following:

[ 167.224029] NVRM: Xid (0001:00): 8, Channel 00000000
[ 167.226306] NVRM: Xid (0001:00): 16, Head 00000000 Count 0000410e
[ 175.224044] NVRM: Xid (0001:00): 8, Channel 0000001e
[ 175.226722] NVRM: Xid (0001:00): 16, Head 00000000 Count 0000410f
[ 183.224032] NVRM: Xid (0001:00): 8, Channel 0000001e
[ 183.226771] NVRM: Xid (0001:00): 16, Head 00000000 Count 00004110
[ 191.224028] NVRM: Xid (0001:00): 8, Channel 0000001e
[ 191.226777] NVRM: Xid (0001:00): 16, Head 00000000 Count 00004111

So, I wonder if my problem is either with the nVidia 173 accelerated driver or my nVidia GeForce FX 5200 card?

NoOp (glgxg) wrote :

I don't think this is a dupe of 555870 as purging gnome-screensaver results in the same.

Steps to reproduce:
1. While logged in as user A, System|Log Out <username>|Switch User
2. Login to user B, ensure all is working properly and logout from user B.
- screen goes black
- keyboard no longer works
- mouse no longer works

100% reproduceable.

However, I can:
1. ssh -X into the machine w/o issue. I can bring up gui's from the affected machine (i.e., gnome-system-log, vino-preferences, etc). I can also NX into the machine and get full desktop.
2. remote login to the machine via VNC and get a screen; however I then get multiple tserver instances & have to kill it.
3. reboot the machine from the remote ssh.

Attempted to use 'apport-collect 546578' to supply additional info, but response was that I wasn't a subscriber to this bug (I am) and the report was a duplicate (it isn't). So I'll manually add the bits that may be relevant:

2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010 i686 GNU/Linux

When screensaver installed:
$ apt-cache policy gnome-screensaver
gnome-screensaver:
  Installed: 2.30.0-0ubuntu2
  Candidate: 2.30.0-0ubuntu2
  Version table:
 *** 2.30.0-0ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid-proposed/main Packages
        100 /var/lib/dpkg/status
     2.30.0-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages

$ apt-cache policy xorg
xorg:
  Installed: 1:7.5+5ubuntu1
  Candidate: 1:7.5+5ubuntu1
  Version table:
 *** 1:7.5+5ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status
$ apt-cache policy xserver-xorg-core
xserver-xorg-core:
  Installed: 2:1.7.6-2ubuntu7
  Candidate: 2:1.7.6-2ubuntu7
  Version table:
 *** 2:1.7.6-2ubuntu7 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/main Packages
        100 /var/lib/dpkg/status
$ apt-cache policy nvidia-96
nvidia-96:
  Installed: 96.43.17-0ubuntu1
  Candidate: 96.43.17-0ubuntu1
  Version table:
 *** 96.43.17-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/restricted Packages
        100 /var/lib/dpkg/status

*-display
                description: VGA compatible controller
                product: NV25GL [Quadro4 900 XGL]
                vendor: nVidia Corporation

NoOp (glgxg) wrote :

Sorry: please disregard the

Attempted to use 'apport-collect 546578' to supply additional info, but response was that I wasn't a subscriber to this bug (I am) and the report was a duplicate (it isn't). So I'll manually add the bits that may be relevant:

That was a cut&paste from 546578.

I can reproduce this on two identical machines. The machines were both upgraded from karmic to lucid.

Chris Coulson (chrisccoulson) wrote :

This is a duplicate of bug 546578 - the original reporter of this bug confirms the problem goes away after removing gnome-screensaver. As I said on the master bug report, please open a new bug report rather than hijacking other peoples, as your symptoms are not the same as anybody else's.

NoOp (glgxg) wrote :

Apologies. I missed comment #16. I'll file a new bug after additional testing on my non-nvidia gpu machines.

emigrant (fromwindowstolinux) wrote :

NoOp,
i think this is the correct bug you should subscribe to:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/560911

MarcelD (marcel-dykstra) on 2010-11-25
affects: xorg-server (Ubuntu) → nvidia-graphics-drivers (Ubuntu)
Changed in nvidia-graphics-drivers (Ubuntu):
status: New → Confirmed
MarcelD (marcel-dykstra) on 2010-11-25
description: updated
MarcelD (marcel-dykstra) on 2010-11-25
description: updated
MarcelD (marcel-dykstra) on 2010-12-09
description: updated

Lê Kiến Trúc, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.13-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

affects: nvidia-graphics-drivers (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers